#! /bin/bash
# reference_bwa_GATK_CF
# last edit: 2021-06
# authors: Christelle Fraïsse

#-# usage: run locally
#-# prog required: bwa v0.7.17-r1188 ; samtools v1.7 (using htslib v1.7-2) ; picard v1.141
#-# files required: None
#-# description: Prepare a reference for use with BWA and GATK.


## define global variables
toPICARD=/home/cfraisse/Documents/save_programs_200906/picard-tools-1.141
refgen=/home/cfraisse/Documents/save_work_200906/2016_PostDoc_IST/task_Bierne/prj_trio_ciona/0.references/refCioneA_2019/GCA_009617815.1_Ciona_intestinalis_HT_Hoya_T-line_assembly_2019_genomic

## generate BWA index
bwa index ${refgen}.fna

## generate the fasta file index
samtools faidx ${refgen}.fna

## generate the sequence dictionary
java -Xmx4g -jar ${toPICARD}/picard.jar CreateSequenceDictionary REFERENCE=${refgen}.fna OUTPUT=${refgen}.dict


echo "# finished referencing genome"
